Index: palm/trunk/SCRIPTS/.mrun.config.csc_sisu
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 1446)
@@ -31,6 +31,6 @@
 # appropriately, if you are using a different compiler / MPI-Version.
 #
-%tmp_user_catalog    /wrk/<replace by your sisu-username>               lccrayf parallel
-%tmp_data_catalog    /wrk/<replace by your sisu-username>/restart_data  lccrayf parallel
+%tmp_user_catalog    /wrk/<replace_by_your_sisu-username>               lccrayf parallel
+%tmp_data_catalog    /wrk/<replace_by_your_sisu-username>/restart_data  lccrayf parallel
 %compiler_name       crayftn                                            lccrayf parallel
 %compiler_name_ser   crayftn                                            lccrayf parallel
@@ -41,5 +41,5 @@
 %fopts               -em:-s:real64:-O2                                  lccrayf parallel
 %lopts               -em:-s:real64:-O2                                  lccrayf parallel
-%remote_username     <replace by your sisu-username>                    lccrayf parallel
+%remote_username     <replace_by_your_sisu-username>                    lccrayf parallel
 %memory              1500                                               lccrayf parallel
 %login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:list  lccrayf parallel
Index: palm/trunk/SCRIPTS/.mrun.config.cuhk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 1446)
@@ -18,5 +18,5 @@
 #
 # The next line is just an example. Add your own line below or replace this line.
-%host_identifier   <hostname>  lccuhk
+%host_identifier   <replace_with_your_hostname>  lccuhk
 #
 #
@@ -43,8 +43,8 @@
 #%hostfile          $base_directory/.hostfile                    lccuhk parallel
 # if you want to load modules on the remote host, use the following line
-#%modules           <replace by the modules to be loaded>        lccuhk parallel
+#%modules           <replace_by_the_modules_to_be_loaded>        lccuhk parallel
 # if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace by the inital commands>             lccuhk parallel
-#%login_init_cmd    <replace by the inital commands>             lccuhk parallel
+#%login_init_cmd    <replace_by_the_inital_commands>             lccuhk parallel
+#%login_init_cmd    <replace_by_the_inital_commands>             lccuhk parallel
 #
 #
@@ -62,7 +62,7 @@
 #%hostfile          $base_directory/.hostfile                    lccuhk parallel trace
 # if you want to load modules on the remote host, use the following line
-#%modules           <replace by the modules to be loaded>        lccuhk parallel trace
+#%modules           <replace_by_the_modules_to_be_loaded>        lccuhk parallel trace
 # if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace by the inital commands>             lccuhk parallel trace
+#%login_init_cmd    <replace_by_the_inital_commands>             lccuhk parallel trace
 #
 #
Index: palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.default	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.default	(revision 1446)
@@ -18,5 +18,5 @@
 #
 # The next line is just an example. Add your own line below or replace this line.
-%host_identifier   myhostname  lcmy
+%host_identifier   <replace_by_your_hostname>  lcmy
 #
 #
@@ -34,17 +34,17 @@
 %compiler_name_ser ifort                                         <hi> parallel
 %cpp_options       -cpp:-D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler   <hi> parallel
-%netcdf_inc        -I:<replace by netcdf include path>           <hi> parallel
-%netcdf_lib        -L<replace by netcdf library path>:-lnetcdf   <hi> parallel
+%netcdf_inc        -I:<replace_by_netcdf_include_path>           <hi> parallel
+%netcdf_lib        -L<replace_by_netcdf_library_path>:-lnetcdf   <hi> parallel
 %mopts             -j:4                                          <hi> parallel
-%fopts             -I:<replace by mpi include path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
-%lopts             -L:<replace by mpi library path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
+%fopts             -I:<replace_by_mpi_include path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
+%lopts             -L:<replace_by_mpi_library path>:-fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291   <hi> parallel
 # if you want to use your own hostfile, uncomment next line
 #%hostfile          $base_directory/.hostfile                    <hi> parallel
 # if you want this host to be used as a remote host, uncomment next line
-#%remote_username   <replace by your username on this host>      <hi> parallel
+#%remote_username   <replace_by_your_username_on_this_host>      <hi> parallel
 # if you want to load modules on the remote host, use the following line
-#%modules           <replace by the modules to be loaded>        <hi> parallel
+#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel
 # if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace by the inital commands>             <hi> parallel
+#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel
 #
 #
@@ -53,6 +53,6 @@
 %compiler_name_ser ifort                                         <hi> parallel trace
 %cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler   <hi> parallel trace
-%netcdf_inc        -I:<replace by netcdf include path>           <hi> parallel trace
-%netcdf_lib        -L<replace by netcdf library path>:-lnetcdf   <hi> parallel trace
+%netcdf_inc        -I:<replace_by_netcdf_include_path>           <hi> parallel trace
+%netcdf_lib        -L<replace_by_netcdf_library_path>:-lnetcdf   <hi> parallel trace
 %mopts             -j:4                                          <hi> parallel trace
 %fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs  <hi> parallel trace
@@ -61,9 +61,9 @@
 #%hostfile          $base_directory/.hostfile                    <hi> parallel trace
 # if you want this host to be used as a remote host, uncomment next line
-#%remote_username   <replace by your username on this host>      <hi> parallel trace
+#%remote_username   <replace_by_your_username_on_this_host>      <hi> parallel trace
 # if you want to load modules on the remote host, use the following line
-#%modules           <replace by the modules to be loaded>        <hi> parallel trace
+#%modules           <replace_by_the_modules_to_be_loaded>        <hi> parallel trace
 # if you want to perform initial commands on ssh connections, use the following line
-#%login_init_cmd    <replace by the inital commands>             <hi> parallel trace
+#%login_init_cmd    <replace_by_the_inital_commands>             <hi> parallel trace
 #
 #
Index: palm/trunk/SCRIPTS/.mrun.config.forwind
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 1446)
@@ -7,8 +7,8 @@
 %base_data         ~/palm/current_version/JOBS
 ################################################################################
-# Replace <<REPLACE BY YOUR USERNAME> by your username on FLOW. Replace "/fw/" 
+# Replace <replace_with_your_local_username> by your username on FLOW. Replace "/fw/" 
 # by "/iwes/" if your user directory resides in /iwes/.
 ################################################################################
-%output_data       /data/work/gpfs/fw/<REPLACE BY YOUR USERNAME>/palm/current_version/JOBS
+%output_data       /data/work/gpfs/fw/<replace_with_your_local_username>/palm/current_version/JOBS
 %source_path       $base_directory/trunk/SOURCE
 %add_source_path   $base_directory/USER_CODE/$fname
@@ -23,8 +23,8 @@
 
 ################################################################################
-# Replace <YOUR_DESKTOP_HOSTNAME> by the hostname of your desktop
+# Replace <eplace_with_your_local_hostname> by the hostname of your desktop
 # an uncomment following line to enable job submission from you local desktop
 ################################################################################
-#%host_identifier       <YOUR_DESKTOP_HOSTNAME>           lcfor
+#%host_identifier       <replace_with_your_local_hostname>           lcfor
 
 ################################################################################
@@ -33,5 +33,6 @@
 # The next block contains all informations for compiling the PALM code
 # and for generating and running the PALM executable using MPI on a Linux machine 
-# with gcc and OpenMPI. Replace <LOCAL_USERNAME> with your username on your
+# with gcc and OpenMPI. Replace <replace_with_your_local_username> with your 
+# username on your
 # local machine
 #
@@ -44,5 +45,5 @@
 #
 ################################################################################
-%remote_username   <LOCAL_USERNAME>                                          lcfor parallel
+%remote_username   <replace_with_your_local_username>                        lcfor parallel
 %tmp_user_catalog  /tmp                                                      lcfor parallel
 %tmp_data_catalog  /tmp                                                      lcfor parallel
@@ -65,5 +66,5 @@
 # on host flow. Please note that other hosts may require different settings.
 ################################################################################
-%remote_username   <USERNAME_FLOW>                                                                                               lcflow parallel
+%remote_username   <replace_with_your_FLOW_username>                                                                             lcflow parallel
 %tmp_user_catalog  /data/work/gpfs/fw/$remote_username/tmp                                                                       lcflow parallel
 %tmp_data_catalog  /data/work/gpfs/fw/$remote_username/palm_restart_data                                                         lcflow parallel
Index: palm/trunk/SCRIPTS/.mrun.config.hayaka
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 1446)
@@ -25,6 +25,6 @@
 # required paths (given in <>) by the respective paths valid on your host.
 #
-%tmp_user_catalog  <replace by your preferred tmp directory>     lckyuh parallel
-%tmp_data_catalog  <replace by your preferred data directory>    lckyuh parallel
+%tmp_user_catalog  <replace_by_your_preferred_tmp_directory>     lckyuh parallel
+%tmp_data_catalog  <replace_by_your_preferred_data_directory>    lckyuh parallel
 %compiler_name     mpifrtpx                                      lckyuh parallel
 %compiler_name_ser frtpx                                         lckyuh parallel
@@ -37,5 +37,5 @@
 %lopts             -Kfast:-Ad                                    lckyuh parallel
 %scp_port          22                                            lckyuh parallel
-%remote_username   <replace by your hayaka username>             lckyuh parallel
+%remote_username   <replace_by_your_hayaka_username>             lckyuh parallel
 #             
 %write_binary        true                             restart
Index: palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1446)
@@ -33,6 +33,6 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
 %compiler_name       ftn                                                lccrayh parallel
 %compiler_name_ser   ftn                                                lccrayh parallel
@@ -41,11 +41,11 @@
 %fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel
 %memory              2300                                               lccrayh parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
 %compiler_name       ftn                                                lccrayh parallel trace
 %compiler_name_ser   ftn                                                lccrayh parallel trace
@@ -54,11 +54,11 @@
 %fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
 %lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel trace
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace
 %memory              2300                                               lccrayh parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
 %compiler_name       ftn                                                lccrayb parallel
 %compiler_name_ser   ftn                                                lccrayb parallel
@@ -67,11 +67,11 @@
 %fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayb parallel
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel
-%remote_username     <replace by your HLRN-III username>                lccrayb parallel
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel
 %memory              2300                                               lccrayb parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
 %compiler_name       ftn                                                lccrayb parallel trace
 %compiler_name_ser   ftn                                                lccrayb parallel trace
@@ -80,5 +80,5 @@
 %fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
 %lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
-%remote_username     <replace by your HLRN-III username>                lccrayb parallel trace
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace
 %memory              2300                                               lccrayb parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace
Index: palm/trunk/SCRIPTS/.mrun.config.ibmh
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 1446)
@@ -27,8 +27,8 @@
 %memory            1500                                       ibmh parallel
 %cpumax            1000                                       ibmh parallel
-%remote_username   <replace by username on ibmh>              ibmh parallel
-%tmp_data_catalog  /work/<replace by project>/$remote_username/palm_restart_data    ibmh parallel
-%tmp_user_catalog  /work/<replace by project>/$remote_username                      ibmh parallel
-%output_data       /work/<replace by project>/$remote_username/$fname/OUTPUT        ibmh parallel
+%remote_username   <replace_by_username_on_ibmh>              ibmh parallel
+%tmp_data_catalog  /work/<replace_by_project>/$remote_username/palm_restart_data    ibmh parallel
+%tmp_user_catalog  /work/<replace_by_project>/$remote_username                      ibmh parallel
+%output_data       /work/<replace_by_project>/$remote_username/$fname/OUTPUT        ibmh parallel
 #
 #
@@ -46,8 +46,8 @@
 %cpumax            1000                                       ibmh parallel trace
 %remote_username   b380021                                    ibmh parallel trace
-%remote_username   <replace by username on ibmh>              ibmh parallel trace
-%tmp_data_catalog  /work/<replace by project>/$remote_username/palm_restart_data    ibmh parallel trace
-%tmp_user_catalog  /work/<replace by project>/$remote_username                      ibmh parallel trace
-%output_data       /work/<replace by project>/$remote_username/$fname/OUTPUT        ibmh parallel trace
+%remote_username   <replace_by_username_on_ibmh>              ibmh parallel trace
+%tmp_data_catalog  /work/<replace_by_project>/$remote_username/palm_restart_data    ibmh parallel trace
+%tmp_user_catalog  /work/<replace_by_project>/$remote_username                      ibmh parallel trace
+%output_data       /work/<replace_by_project>/$remote_username/$fname/OUTPUT        ibmh parallel trace
 #
 #
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1446)
@@ -18,8 +18,8 @@
 #
 # The next line is just an example. Add your own line below or replace this line.
-%host_identifier   bora     lcmuk
+%host_identifier   <replace_by_your_IMUK_hostname>     lcmuk
 #
 # IMUK 
-%remote_username   <replace by your IMUK username>                             lcmuk parallel
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel
 %tmp_user_catalog  /localdata                                                  lcmuk parallel
 %compiler_name     mpif90                                                      lcmuk parallel
@@ -35,5 +35,5 @@
 #
 # IMUK debug/trace mode
-%remote_username   <replace by your IMUK username>                             lcmuk parallel trace
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel trace
 %tmp_user_catalog  /localdata                                                  lcmuk parallel trace
 %compiler_name     mpif90                                                      lcmuk parallel trace
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_gpu
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 1446)
@@ -13,5 +13,5 @@
 #
 # pure MPI version
-%remote_username   <replace by your IMUK username>               lcmuk parallel pgi
+%remote_username   <replace_by_your_IMUK_username>               lcmuk parallel pgi
 %tmp_user_catalog  /localdata                                    lcmuk parallel pgi
 %compiler_name     mpif90                                        lcmuk parallel pgi
@@ -23,5 +23,5 @@
 #
 # pure MPI version with debug options
-%remote_username   <replace by your IMUK username>               lcmuk parallel pgidbg
+%remote_username   <replace_by_your_IMUK_username>               lcmuk parallel pgidbg
 %tmp_user_catalog  /localdata                                    lcmuk parallel pgidbg
 %compiler_name     mpif90                                        lcmuk parallel pgidbg
@@ -33,5 +33,5 @@
 #
 # pure GPU version
-%remote_username   <replace by your IMUK username>                       lcmuk pgigpu
+%remote_username   <replace_by_your_IMUK_username>                       lcmuk pgigpu
 %tmp_user_catalog  /localdata                                            lcmuk pgigpu
 %compiler_name     pgf90                                                 lcmuk pgigpu
@@ -44,5 +44,5 @@
 #
 # MPI+GPU
-%remote_username   <replace by your IMUK username>               lcmuk parallel pgigpu
+%remote_username   <replace_by_your_IMUK_username>               lcmuk parallel pgigpu
 %tmp_user_catalog  /localdata                                    lcmuk parallel pgigpu
 %compiler_name     mpif90                                        lcmuk parallel pgigpu
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1446)
@@ -19,5 +19,5 @@
 #
 # The next line is just an example. Add your own line below or replace this line.
-%host_identifier   bora         lcmuk
+%host_identifier   <replace_by_your_IMUK_hostname>         lcmuk
 %host_identifier   hlogin*      lccrayh
 %host_identifier   hxc*         lccrayh
@@ -26,5 +26,5 @@
 #
 # IMUK 
-%remote_username   <replace by your IMUK username>                             lcmuk parallel
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel
 %tmp_user_catalog  /localdata                                                  lcmuk parallel
 %compiler_name     mpif90                                                      lcmuk parallel
@@ -40,5 +40,5 @@
 #
 # IMUK debug/trace mode
-%remote_username   <replace by your IMUK username>                             lcmuk parallel trace
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel trace
 %tmp_user_catalog  /localdata                                                  lcmuk parallel trace
 %compiler_name     mpif90                                                      lcmuk parallel trace
@@ -53,6 +53,6 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
 %compiler_name       ftn                                                lccrayh parallel
 %compiler_name_ser   ftn                                                lccrayh parallel
@@ -61,11 +61,11 @@
 %fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel
 %memory              2300                                               lccrayh parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
 %compiler_name       ftn                                                lccrayh parallel trace
 %compiler_name_ser   ftn                                                lccrayh parallel trace
@@ -74,11 +74,11 @@
 %fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
 %lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel trace
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace
 %memory              2300                                               lccrayh parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
 %compiler_name       ftn                                                lccrayb parallel
 %compiler_name_ser   ftn                                                lccrayb parallel
@@ -87,11 +87,11 @@
 %fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayb parallel
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel
-%remote_username     <replace by your HLRN-III username>                lccrayb parallel
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel
 %memory              2300                                               lccrayb parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
 %compiler_name       ftn                                                lccrayb parallel trace
 %compiler_name_ser   ftn                                                lccrayb parallel trace
@@ -100,5 +100,5 @@
 %fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
 %lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
-%remote_username     <replace by your HLRN-III username>                lccrayb parallel trace
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace
 %memory              2300                                               lccrayb parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace
Index: palm/trunk/SCRIPTS/.mrun.config.imuknb
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 1446)
@@ -18,5 +18,5 @@
 #
 # The next line is just an example. Add your own line below or replace this line.
-%host_identifier   myhostname  lcmuknb
+%host_identifier   <replace_with_your_hostname>  lcmuknb
 #
 #
Index: palm/trunk/SCRIPTS/.mrun.config.kiaps
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 1446)
@@ -27,6 +27,6 @@
 %login_init_cmd      .:/cm/local/apps/environment-modules/3.2.6/init/ksh  lckiaps parallel
 %modules             pgi/11.10:PrgEnv-pgi/1.1:mpich2/1.4.1p1:netcdf       lckiaps parallel
-%tmp_user_catalog    /home/data/<replace by your kiaps username>          lckiaps parallel
-%tmp_data_catalog    /home/data/<replace by your kiaps username>          lckiaps parallel
+%tmp_user_catalog    /home/data/<replace_by_your_kiaps_username>          lckiaps parallel
+%tmp_data_catalog    /home/data/<replace_by_your_kiaps_username>          lckiaps parallel
 %compiler_name       mpif90                            lckiaps parallel
 %compiler_name_ser   pgf90                             lckiaps parallel
@@ -37,5 +37,5 @@
 %fopts               -fastsse                          lckiaps parallel
 %lopts               -fastsse                          lckiaps parallel
-%remote_username     <replace by your kiaps username>  lckiaps parallel
+%remote_username     <replace_by_your_kiaps_username>  lckiaps parallel
 %memory              1500                              lckiaps parallel
 #             
Index: palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 1446)
@@ -33,6 +33,6 @@
 # know your project account, check the output of the "cost" command on hexagon
 #
-%tmp_user_catalog    /work/<replace by your CrayXE6 username>                                                         lcxe6 parallel
-%tmp_data_catalog    /work/<replace by your CrayXE6 username>/tmp/                                                    lcxe6 parallel
+%tmp_user_catalog    /work/<replace_by_your_CrayXE6_username>                                                         lcxe6 parallel
+%tmp_data_catalog    /work/<replace_by_your_CrayXE6_username>/tmp/                                                    lcxe6 parallel
 %compiler_name       ftn                                                                                              lcxe6 parallel
 %compiler_name_ser   ftn                                                                                              lcxe6 parallel
@@ -41,13 +41,13 @@
 %fopts               -O3:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian lcxe6 parallel
 %lopts               -O3:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib lcxe6 parallel
-%remote_username      <replace by your CrayXE6 username>                                                              lcxe6 parallel
+%remote_username      <replace_by_your_CrayXE6_username>                                                              lcxe6 parallel
 %memory              1000                                                                                             lcxe6 parallel
-%project_account     <replace by your project account>                                                                lcxe6 parallel
+%project_account     <replace_by_your_project_account>                                                                lcxe6 parallel
 %modules             modules:Base-opts:pmi:cray-mpich:netcdf-hdf5parallel:xtpe-network-gemini:gni-headers:fftw           lcxe6 parallel
 %login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel\;:module:unload:xtpe-interlagos     lcxe6 parallel
-%email_notification  <replace by your email address>                                                                  lcxe6 parallel
+%email_notification  <replace_by_your_email_address>                                                                  lcxe6 parallel
 # 
- %tmp_user_catalog    /work/<replace by your CrayXE6 username>                                                         lcxe6 parallel trace
-%tmp_data_catalog    /work/<replace by your CrayXE6 username>/tmp/                                                    lcxe6 parallel trace
+ %tmp_user_catalog    /work/<replace_by_your_CrayXE6_username>                                                         lcxe6 parallel trace
+%tmp_data_catalog    /work/<replace_by_your_CrayXE6_username>/tmp/                                                    lcxe6 parallel trace
 %compiler_name       ftn                                                                                              lcxe6 parallel trace
 %compiler_name_ser   ftn                                                                                              lcxe6 parallel trace
@@ -56,10 +56,10 @@
 %fopts               -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian lcxe6 parallel trace
 %lopts               -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                       lcxe6 parallel trace
-%remote_username      <replace by your CrayXE6 username>                                                              lcxe6 parallel trace
+%remote_username      <replace_by_your_CrayXE6_username>                                                              lcxe6 parallel trace
 %memory              1000                                                                                             lcxe6 parallel trace
-%project_account     <replace by your project account>                                                                lcxe6 parallel trace
+%project_account     <replace_by_your_project_account>                                                                lcxe6 parallel trace
 %modules             modules:Base-opts:pmi:cray-mpich:netcdf-hdf5parallel:xtpe-network-gemini:gni-headers:fftw           lcxe6 parallel trace
 %login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel\;:module:unload:xtpe-interlagos     lcxe6 parallel trace
-%email_notification  <replace by your email address>                                                                  lcxe6 parallel trace
+%email_notification  <replace_by_your_emai_address>                                                                  lcxe6 parallel trace
 #           
 %write_binary        true                             restart
Index: palm/trunk/SCRIPTS/.mrun.config.riam
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.riam	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.riam	(revision 1446)
@@ -42,7 +42,7 @@
 %cpumax            1000                                       necriam parallel
 %numprocs          4                                          necriam parallel
-%tmp_data_catalog  /work/<replace by your username>/restart_data  necriam parallel
-%tmp_user_catalog  /work/<replace by your username>               necriam parallel
-%remote_username   <replace by your username>                     necriam parallel
+%tmp_data_catalog  /work/<replace_by_your_username>/restart_data  necriam parallel
+%tmp_user_catalog  /work/<replace_by_your_username>               necriam parallel
+%remote_username   <replace_by_your_username>                     necriam parallel
 #
 %write_binary                true                             restart
Index: palm/trunk/SCRIPTS/.mrun.config.tatara
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 1446)
@@ -25,5 +25,5 @@
 # required paths (given in <>) by the respective paths valid on your host.
 #
-%tmp_user_catalog  <replace by your preferred tmp directory>     lckyut parallel
+%tmp_user_catalog  <replace_by_your_preferred_tmp_directory>     lckyut parallel
 %compiler_name     mpifrt                                        lckyut parallel
 %compiler_name_ser frt                                           lckyut parallel
@@ -36,5 +36,5 @@
 %lopts             -Kfast:-Ad                                    lckyut parallel
 %scp_port          22                                            lckyut parallel
-%remote_username   <replace by your tatara username>             lckyut parallel
+%remote_username   <replace_by_your_tatara_username>             lckyut parallel
 #             
 %write_binary        true                             restart
Index: palm/trunk/SCRIPTS/.mrun.config.yonsei2011
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 1445)
+++ palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 1446)
@@ -17,5 +17,5 @@
 %host_identifier   gaia*       ibmkisti
 #
-%remote_username   <replace by username on climate0>             lcyon parallel
+%remote_username   <replace_by_username_on_climate0>             lcyon parallel
 %tmp_user_catalog  $base_directory/work                          lcyon parallel
 %tmp_data_catalog  $base_directory/work                          lcyon parallel
@@ -40,7 +40,7 @@
 %cpumax            1000                                       ibmkisti parallel
 %numprocs          4                                          ibmkisti parallel
-%remote_username   <replace by username on KISTI-IBM>         ibmkisti parallel
-%tmp_data_catalog  /gpfs1/<replace by username on KISTI-IBM>/palm_restart_data    ibmkisti parallel
-%tmp_user_catalog  /gpfs1/<replace by username on KISTI-IBM>                      ibmkisti parallel
+%remote_username   <replace_by_username_on_KISTI-IBM>         ibmkisti parallel
+%tmp_data_catalog  /gpfs1/<replace_by_username_on_KISTI-IBM>/palm_restart_data    ibmkisti parallel
+%tmp_user_catalog  /gpfs1/<replace_by_username_on_KISTI-IBM>                      ibmkisti parallel
 #
 %write_binary                true                             restart
Index: palm/trunk/SCRIPTS/hlrn_watchdog
===================================================================
--- palm/trunk/SCRIPTS/hlrn_watchdog	(revision 1445)
+++ palm/trunk/SCRIPTS/hlrn_watchdog	(revision 1446)
@@ -1,4 +1,3 @@
 #!/bin/ksh
-
 #--------------------------------------------------------------------------------#
 # This file is part of PALM.
@@ -20,5 +19,6 @@
 # Current revisions:
 # -----------------
-#
+# Adapted for HLRN III. Added windows if no runs are queued.
+# 
 # Former revisions:
 # -----------------
@@ -41,12 +41,17 @@
 #------------------------------------------------------------------------------!
 
+    check_hannover=false
+    check_berlin=true
+    debug=true
+    PALM_BIN="/home/maronga/palm/tmp_version/trunk/SCRIPTS"
+
     cd $PALM_BIN
 
-    gate_h="hicegate.hlrn.de"
-    gate_b="bicegate.hlrn.de"
+    gate_h="hlogin.hlrn.de"
+    gate_b="blogin.hlrn.de"
     update_frequency=600
 
 #   trap strg+c
-    trap 'killall kdialog; exit' 2
+    trap 'kill -9 $infoPID > /dev/null; kill -9 $dialogPID > /dev/null; exit' 2
 
 
@@ -61,4 +66,11 @@
           kill -9 $killid > /dev/null
           killall kdialog
+
+          if [[ -f .watchdog_report.x ]] then
+             rm .watchdog_report.x
+          fi
+          if [[ -f .watchdog_status.x ]] then
+             rm .watchdog_status.x
+          fi
           echo "*** hlrn_watchdog stopped."
        else
@@ -73,15 +85,23 @@
            echo "+++ hlrn_watchdog is already running."
         else
-           nohup ./hlrn_watchdog $2 1> /dev/null 2> /dev/null &
+           if [[ $debug = true ]] then
+              ./hlrn_watchdog $2 &
+           else
+              nohup ./hlrn_watchdog $2 1> /dev/null 2> /dev/null &
+           fi
            echo "\n*** hlrn_watchdog starting..."
         fi
         exit
     else
-
 #      login via ssh and collect information in .watchdog_report.x
        while true
        do
-          ssh  $gate_h -l $1 "showq | egrep \"($1)\"" > .watchdog_report.x
+          touch .watchdog_report.x
+          if [[ $check_hannover == true ]] then
+             ssh  $gate_h -l $1 "showq | egrep \"($1)\"" > .watchdog_report.x
+          fi
+          if [[ $check_berlin == true ]] then
           ssh  $gate_b -l $1 "showq | egrep \"($1)\"" >> .watchdog_report.x
+          fi
 
           i=0
@@ -104,4 +124,5 @@
           done
           rm .watchdog_report.x
+          touch .watchdog_status.x
 
 #         check for terminated jobs and status changes
@@ -138,4 +159,11 @@
           done
 
+#         check whether any jobs are queued
+          touch .watchdog_report.x
+          file_size=`ls -l .watchdog_report.x | tr -s " " | cut -d " " -f 5`
+          if [[ $file_size == 0 ]] then
+            printf "No jobs queued.\n" >> .watchdog_report.x
+          fi
+
 #         get estimated starting time for all idle jobs and write watchdog output in .watchdog_report.x
           while (( $j < $i ))
@@ -162,15 +190,22 @@
 
 #         kill all windows
-          killall kdialog
+          if  [[ "$infoPID" -ne "" ]] then
+             kill -9 $infoPID > /dev/null
+             unset $infoPID
+          fi
+          if  [[ "$dialogPID" -ne "" ]] then
+             kill -9 $dialogPID > /dev/null
+             unset $dialogPID
+          fi
 
           timestamp=`date`
 
 #         create window and show information
-          kdialog --textbox .watchdog_report.x 550 150 --title "HLRN watchdog  (last update: $timestamp)" &
+          kdialog --textbox .watchdog_report.x 550 150 --title "HLRN watchdog  (last update: $timestamp)" & dialogPID=$!
 
 #         in case of status changes and terminated jobs, inform the user
           if [[ $info != "" ]]
           then
-             kdialog --msgbox "$info" --title "HLRN Job Information" &
+             kdialog --msgbox "$info" --title "HLRN Job Information" & infoPID=$!
           fi
 
